Reddit Subreddit Posts API
curl --request POST \
--url https://api.socq.ai/v1/reddit/subreddit-posts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"urls": [
"<string>"
],
"results_limit": 1000,
"sort_by": "<string>"
}
'import requests
url = "https://api.socq.ai/v1/reddit/subreddit-posts"
payload = {
"urls": ["<string>"],
"results_limit": 1000,
"sort_by": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({urls: ['<string>'], results_limit: 1000, sort_by: '<string>'})
};
fetch('https://api.socq.ai/v1/reddit/subreddit-posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"data": {
"task_id": "<string>",
"status": "<string>",
"created_time": "<string>",
"idempotent_replay": true
}
}Reddit 子版块帖子
从 Reddit 子版块采集公共帖子。
POST
/
v1
/
reddit
/
subreddit-posts
Reddit Subreddit Posts API
{
"urls": ["https://www.reddit.com/r/learnpython/"],
"results_limit": 100,
"sort_by": "new"
}
与 MCP 一起使用
| 接口 | 值 |
|---|---|
| REST | POST /v1/reddit/subreddit-posts |
| Compact MCP | socq_execute 与 endpoint: "reddit/subreddit-posts" |
| Typed MCP | socq_reddit_subreddit_posts |
| 精确工具 URL | https://api.socq.ai/mcp?tools=reddit_subreddit_posts |
| CLI | socq reddit subreddit-posts |
socq_execute 的嵌套 input 对象,或将相同的字段直接传递给Typed 工具。Typed 工具还接受 _wait_seconds、_result_limit 和 _idempotency_key。
成功的采集将返回
task_id。继续 socq_get_task 直到任务成功,然后从 results.items 读取规范化记录。results_limit 默认为 100 并适用于每个 subreddit URL。它接受 1 到 2,000 之间的值。 sort_by 支持 new、top 和 hot。
任务完成响应
{
"code": 200,
"data": {
"task_id": "A1B2C3D4E5F6G7H8",
"status": "succeeded",
"public_id": "reddit/subreddit-posts",
"result_count": 1,
"credits_amount": 0.5,
"results": {
"limit": 50,
"next_cursor": null,
"has_more": false,
"items": [{
"id": "post_id",
"platform": "reddit",
"resource": "subreddit-posts",
"type": "post",
"url": "https://www.reddit.com/r/learnpython/comments/post_id/example_post/",
"name": "Example post title",
"text": "Example post body",
"author": {"id": null, "username": "example_user", "name": "example_user", "url": null},
"metrics": {"upvotes_count": 312, "comments_count": 41, "upvote_ratio": 0.94},
"media": [],
"created_at": "2026-07-16T08:00:00",
"collected_at": "2026-07-17T10:30:00",
"extra": {"community_name": "learnpython", "discovery_input": {"url": "https://www.reddit.com/r/learnpython/"}}
}]
}
}
}
授权
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
⌘I

